@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400&family=Poppins:wght@300;400;600;700&family=Raleway:wght@300;400;700&display=swap');
body {
    font-family: 'Poppins', sans-serif;
}

:root {
    --padding-container: 100px 0;
    --color-title: #719a3b;
}

.container {
    width: 90%;
    max-width: 1200px;
    margin: 0 auto;
    overflow: hidden;
    padding: var(--padding-container);
}

.hero {
    width: 100%;
    height: 100vh;
    min-height: 600px;
    max-height: 800px;
    position: relative;
    display: grid;
    grid-template-rows: 100px 1fr;
    color: #fff;
}

.hero:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: linear-gradient(180deg, #769c7673 0%, #6272618c 100%), url('../img/men22.jpg');
    background-size: cover;
    clip-path: polygon(0 0, 100% 0, 100% 80%, 50% 95%, 0 80%);
    z-index: -1;
}


/*letras nav*/

.nav {
    --padding-container: 0;
    height: 100%;
    display: flex;
    align-items: center;
}

.nav_title {
    font-weight: 300;
    font-size: 40px;
}

.nav_link {
    margin-left: auto;
    padding: 0;
    display: grid;
    grid-auto-flow: column;
    grid-auto-columns: max-content;
    gap: 2em;
}

.nav_items {
    list-style: none;
}

.nav_links {
    color: #fff;
    text-decoration: none;
    font-size: 20px;
}

.nav_menu {
    margin-left: auto;
    cursor: pointer;
    display: none;
}

.nav_img {
    display: block;
    width: 30px;
}

.nav_close {
    display: var(--show, none);
}


/*hero container*/

.hero_container {
    max-width: 800px;
    --padding-container: 0;
    display: grid;
    grid-auto-rows: max-content;
    align-content: center;
    gap: 1em;
    padding-bottom: 100px;
    text-align: center;
}

.hero_title {
    font-size: 3rem;
}

.hero_paragraph {
    margin-bottom: 20px;
}

.cta {
    display: inline-block;
    background-color: #719a3b;
    justify-self: center;
    color: #fff;
    text-decoration: none;
    padding: 13px 30px;
    border-radius: 32px;
}


/*media query adaptable a celular*/

@media (max-width:800px) {
    .nav_menu {
        display: block;
    }
    .nav_link--menu {
        position: fixed;
        background-color: #719a3b;
        top: 0;
        left: 0;
        height: 100%;
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;
        align-items: center;
        z-index: 100;
        opacity: 0;
        pointer-events: none;
        transition: .7s opacity;
    }
    .nav_link--show {
        --show: block;
        opacity: 1;
        pointer-events: unset;
    }
    .nav_close {
        position: absolute;
        top: 30px;
        right: 30px;
        width: 30px;
        cursor: pointer;
    }
    .hero_title {
        font-size: 2.5rem;
    }
}

@media (max-width:600px) {
    .hero_title {
        font-size: 2rem;
    }
    .hero_paragraph {
        font-size: 1rem;
    }
    .subtitle {
        font-size: 1.8rem;
    }
}